# -*- coding: Latin1 -*-
# umlautCodec.py: Umlaut-Kodierungen nach Unicode/HTML
# Version 0.03, 2008-05-01

htmlCodes = {'\xe4':'&auml;', '\xf6':'&ouml;', '\xfc':'&uuml;', '\x84':'&Auml;', '\xc4':'&Auml;',
             '\xd6':'&Ouml;', '\x9c':'&Uuml;', '\xdc':'&Uuml;',
             '\xdf':'&szlig;' ,'<':'&lt;','>':'&gt;','&':'&amp;','"':'&quot;',
             '\xc3':'', '\x80':'', 
             '\x99':'&rsquo;','\xa4':'&auml;','\xbc':'&uuml;','\xb6':'&ouml;',
             '\x93':'-','\x96':'&Ouml;','\x9f':'&szlig;','\x99':'\'',
             '\xaa':'&ecirc;','\xa9':'&eacute;','\xa0':'&agrave;',
             '\xe2':'&acirc;','\xe1':'&aacute;','\xe0':'&agrave;',
             '\xea':'&ecirc;','\xe9':'&eacute;','\xe8':'&egrave;',
             '\xe2':''}

unicodeCodes = {'\xe4':'ae', '\xf6':'oe', '\xfc':'ue', '\xc4':'Ae', '\xd6':'Oe',
             '\xdc':'Ue', '\xdf':'ss', '\xc3':'','\xbc':'ue','\xb6':'oe',
             '\x80':'','\x93':'-','\x96':'Oe','\x9f':'ss',
             '\x99':'\'','\xa4':'ae','\xaa':'e','\xa9':'e','\xa0':'a',
             '\xe2':'a','\xe1':'a','\xe0':'a',
             '\xea':'e','\xe9':'e','\xe8':'e',
             '\xe2':''}


unicode2org = {'\xe4':'', '\xf6':'', '\xfc':'', '\xc4':'', '\x84':'', '\xd6':'',
             '\xdc':'','\x9c':'', '\xdf':'', '\xc3':'','\xbc':'','\xb6':'',
             '\x80':'','\x93':'-','\x96':'','\x9f':'',
             '\x99':'\'','\xa4':'','\xaa':'','\xa9':'','\xa0':'',
             '\xe2':'','\xe1':'','\xe0':'',
             '\xea':'','\xe9':'','\xe8':'',
             '\xe2':''}


